%global _empty_manifest_terminate_build 0
Name:           python-cairosvg
Version:        2.7.1
Release:        1
Summary:        A Simple SVG Converter for Cairo
License:        GNU LGPL v3+
URL:            http://www.cairosvg.org/
Source0:        https://files.pythonhosted.org/packages/d5/e6/ec5900b724e3c44af7f6f51f719919137284e5da4aabe96508baec8a1b40/CairoSVG-2.7.1.tar.gz
BuildArch:      noarch
%description
CairoSVG A Simple SVG Converter for Cairo CairoSVG is a SVG converter based on
Cairo. It can export SVG files to PDF, PostScript and PNG files.For further
information, please visit the CairoSVG Website <

%package -n python3-cairosvg
Summary:        A Simple SVG Converter for Cairo
Provides:       python-cairosvg
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-cairosvg
CairoSVG A Simple SVG Converter for Cairo CairoSVG is a SVG converter based on
Cairo. It can export SVG files to PDF, PostScript and PNG files.For further
information, please visit the CairoSVG Website <

%package help
Summary:        A Simple SVG Converter for Cairo
Provides:       python3-cairosvg-doc
%description help
CairoSVG A Simple SVG Converter for Cairo CairoSVG is a SVG converter based on
Cairo. It can export SVG files to PDF, PostScript and PNG files.For further
information, please visit the CairoSVG Website <

%prep
%autosetup -n CairoSVG-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-cairosvg -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Oct 11 2023 wen-minjuan <mjwen@isoftstone.com> - 2.7.1-1
- upgrade package version to 2.7.1

* Thu Jul 14 2022 OpenStack_SIG <openstack@openeuler.org> - 1.0-1
- Init package python3-cairosvg of version 1.0